%define upstream_name    CGI-Application-Plugin-Authentication
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Authentication framework for CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(CGI) >= 3.160.0
BuildRequires: perl(CGI::Application) >= 4.0.0
BuildRequires: perl(Class::ISA)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Readonly)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More) >= 0.930.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Regression)
BuildRequires: perl(Test::Taint)
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl-Class-ISA
BuildArch:  noarch

%description
CGI::Application::Plugin::Authentication adds the ability to authenticate
users in your the CGI::Application manpage modules. It imports one method
called 'authen' into your CGI::Application module. Through the authen
method you can call all the methods of the
CGI::Application::Plugin::Authentication plugin.

There are two main decisions that you need to make when using this module.
How will the usernames and password be verified (ie from a database, LDAP,
etc...), and how can we keep the knowledge that a user has already logged
in persistent, so that they will not have to enter their credentials again
on the next request (ie how do we 'Store' the authentication information
across requests).

Choosing a Driver
    There are three drivers that are included with the distribution. Also,
    there is built in support for all of the Authen::Simple modules (search
    CPAN for Authen::Simple for more information). This should be enough to
    cover everyone's needs. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 363459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 106483
- update to 0.20

* Fri Mar 25 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 77277
- adding missing buildrequiers:
- update to 0.19

* Wed Jan 26 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 40240
- mageia rebuild
- imported package perl-CGI-Application-Plugin-Authentication

